Bug 241069 - Review Request: blobAndConquer - Blob Wars 2: Blob And Conquer
Review Request: blobAndConquer - Blob Wars 2: Blob And Conquer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-23 16:44 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 08:04:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-05-23 16:44:11 EDT
Spec URL: http://people.atrpms.net/~hdegoede/blobAndConquer.spec
SRPM URL: http://people.atrpms.net/~hdegoede/blobAndConquer-0.90-1.src.rpm
Description:
With the apparent defeat of Galdov and the reclaiming of the Fire, Time, Space
and Reality Crystals the Blobs' battle was only just beginning. Bob had rescued
many Blobs and fought many battles, but now he had an ever bigger task ahead of
him. The Blobs' homeworld is still littered with the alien forces and Bob once
again makes it his task to lead the counter attack. But even without Galdov the
aliens are still extremely well organised...

They're Ready. Will You Be?
Comment 1 Jon Ciesla 2007-05-24 09:04:44 EDT
Builds OK on FC6/i386.
This is the only rpmlint message:

[limb@fawkes SPECS]$ rpmlint -i ../RPMS/i386/blobAndConquer-0.90-1.i386.rpm 
W: blobAndConquer devel-file-in-non-devel-package
/usr/share/blobAndConquer/data/gameDefs/defines.h
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

. . .which you've adequately explained.  I still think it's odd, but that's
upstream. :)

Package name/spec name OK.
Meets Packaging guidelines.
License OK and included.
Spec is legible American English.
Source MD5 matches.

TBC. . .
Comment 2 Jon Ciesla 2007-05-24 09:28:15 EDT
MUSTFIX: Missing desktop-file-utils BR.
No locales or shared libraries.
Directory ownership OK.
No duplicate files.
Perms good.
%clean correct.
Macros are sane.
Code, not content.
No large docs.
No runtime doc deps.
One header file, see above. OK.
No static libs.
No pkgconfig.
No -devel pacakge or .la.
.desktop file present and well handled, once desktop-file-utils BR is resolved.
No ownership conflicts.
%install starts with rm -rf $RPM_BUILD_ROOT.
All filenames UTF-8.

All musts met but the BR issue.

Builds in mock with BR issue fixed.
Comment 3 Hans de Goede 2007-05-24 13:12:05 EDT
New version with the BR fixed here:
Spec URL: http://people.atrpms.net/~hdegoede/blobAndConquer.spec
SRPM URL: http://people.atrpms.net/~hdegoede/blobAndConquer-0.90-2.fc8.src.rpm
Comment 4 Jon Ciesla 2007-05-25 09:53:35 EDT
Much better.

APPROVED.
Comment 5 Hans de Goede 2007-05-25 14:29:40 EDT
New Package CVS Request
=======================
Package Name:      blobAndConquer
Short Description: Blob Wars 2: Blob And Conquer
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 F-7 devel
InitialCC:         <empty>


Comment 6 Tom "spot" Callaway 2007-05-25 16:24:26 EDT
cvs done
Comment 7 Hans de Goede 2007-05-26 08:04:20 EDT
Thanks all, imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.